# PCFIELDSPLIT

Preconditioner created by combining separate preconditioners for individual fields or groups of fields

To set options on the solvers for each block append -sub_ to all the PC options database keys. For example, -sub_pc_type ilu -sub_pc_factor_levels 1

To set the options on the solvers separate for each block call PCFieldSplitGetSubKSP() and set the options directly on the resulting KSP object

### Options Database Keys

| -pc_splitfield_%d_fields <a,b,..> | - indicates the fields to be used in the %d'th split
| -pc_splitfield_default | - automatically add any fields to additional splits that have not been supplied explicitly by -pc_splitfield_%d_fields
| -pc_splitfield_block_size <bs> | - size of block that defines fields (i.e. there are bs fields)
| -pc_splitfield_type <additive,multiplicative> | -

### See Also

PCCreate(), PCSetType(), PCType (for list of available types), PC,
PCFieldSplitGetSubKSP(), PCFieldSplitSetFields(),PCFieldSplitSetType()

Level:intermediate
Location: src/ksp/pc/impls/fieldsplit/fieldsplit.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages